Summary:     A library of core functions to simplify program development
Name:        progbase
Version:     0.5.0
Release:     3.rh73.pp
License:     GPL
Group:       System Environment/Libraries
Source0:     ftp://ftp.pramberger.at/software/projects/%{name}-%{version}.tar.gz
URL:         http://www.pramberger.at/peter/software/projects/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Peter Pramberger <peter.pramberger@member.fsf.org>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Provides:    %{name}.pp
Prereq:      fileutils glibc
BuildPrereq: fileutils glibc-devel gcc make perl
ExclusiveOS: linux

%description
%{name} was written to provide a library of core program functions
for simplified program development without the need to "reinvent
the wheel" for every new program. It provides functions for logging,
inter-process communication, file operations, memory management,
double linked-lists, process handling and time-based execution.


%package devel
Summary:     Development tools for %{name}
Group:       Development/Libraries
Provides:    %{name}-devel.pp
Requires:    %{name} = %{version}-%{release} %{name}.pp

%description devel
The %{name}-devel package contains the static libraries and
header files for developing software with %{name}.


%prep
%setup -q


%build
export CFLAGS="${RPM_OPT_FLAGS}"
./configure \
	--prefix=%{_prefix}               \
	--sysconfdir=%{_sysconfdir}       \
	--localstatedir=%{_localstatedir} \
	--mandir=%{_mandir}               \
	--enable-shared                   \
	--enable-static                   \
	--enable-debug
make all
make check


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{_prefix}
make \
	DESTDIR=${RPM_BUILD_ROOT} \
	install


%post
ldconfig


%postun
ldconfig


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README*
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*.*a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*
%{_datadir}/aclocal/*
%{_mandir}/man3/*


%changelog
* Thu Nov 03 2005 peter.pramberger@member.fsf.org
- created

